## Caesium (fork)

based on Caesium 1.7.0. You can get the original source code at [here](https://sourceforge.net/projects/caesium/files/1.7.0/). Changes made by this fork listed below.

### Why a fork?

The original 1.x version of Caesium is no longer maintained and the main author seems have no plan to update it. A new [2.0.0 alpha](https://github.com/Lymphatus/caesium-image-compressor/releases) is there as the successor of the original Caesium but it's still in alpha stage and very buggy at this moment.

I got some issues while using the lastest 1.x version release so I decided to fix it for myself and also adding some features I need. Since it may also help other people have similar needs, I decided to release my patchset and maybe also a binary release in upcoming future.

By the way, if there will be a binary release from me, I *might* rename the application before release so people get the binary will know it's a fork and will be able to report issue to correct place. Info and link to original work will also be added if that happens.

### Resolved issues

 - Remove country/region flags since the original filename have encoding issue which can cause a build failure, and also to avoid some potential regional internationalization issues. (216e1a9)
 - Resolution display as -1x-1 for some images with unregular filename (e.g. `2IGYT%BD]SYY77Q7R041(WD.jpg` and `G9E@W$_Y4GYMWJY)%R24X~2.jpg`): Recompile under newer Qt version should works. Original Caesium official binary comes with Qt 5.1.0, Recompiled and tested under Qt 5.15.2.
 - Click "Auto preview" checkbox and then click any image item will lead a crash. (0e3d5c5)
 - Rework the language selection part, no longer depends on language filename and no longer have encoding issue. (c641be3)
 - Port away from deprecated Qt APIs. (53a7ee1)
 - Update zh_CN translations, align translation locale code to the one descripted inside the ts file. (1074ddd)
 - Support of `.jfif` suffix. (abf6bfd)

### Non-issue changes

 - UI tweaks: Hi-DPI-aware window size and text, use Qt logo from Qt built-in resource.
 - (temporary) disable update checker (since this is a forked version and the update checker request the orginal version url for checking updates).
 - Able to build with Qt6. (bed5ef7)
 - Use applicationDisplayName for the name on titlebar and about dialog (7a26347a) (eda0671)
